dvb_desc_logical_channel_number Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the logical channel number entires. More...

`#include <desc_logical_channel.h>`

## Data Fields

uint16_t | service_id
union { |
uint16_t bitfield |
struct { |
uint16_t logical_channel_number:10 |
uint16_t reserved:5 |
uint16_t visible_service_flag:1 |
} |
}; |

## Detailed Description

Structure containing the logical channel number entires.

Parameters

  service_id | service id
  visible_service_flag | visible service flag
  logical_channel_number | logical channel number

Definition at line 56 of file desc_logical_channel.h.

## Field Documentation

## [union]

union { ... } dvb_desc_logical_channel_number

## bitfield

uint16_t dvb_desc_logical_channel_number::bitfield

Definition at line 59 of file desc_logical_channel.h.

## logical_channel_number

uint16_t dvb_desc_logical_channel_number::logical_channel_number

Definition at line 61 of file desc_logical_channel.h.

## reserved

uint16_t dvb_desc_logical_channel_number::reserved

Definition at line 62 of file desc_logical_channel.h.

## service_id

uint16_t dvb_desc_logical_channel_number::service_id

Definition at line 57 of file desc_logical_channel.h.

## visible_service_flag

uint16_t dvb_desc_logical_channel_number::visible_service_flag

Definition at line 63 of file desc_logical_channel.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_logical_channel.h